Index: trunk/NEMOGCM/NEMO/OPA_SRC/ASM/asmpar.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/ASM/asmpar.F90	(revision 2528)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/ASM/asmpar.F90	(revision 2528)
@@ -0,0 +1,38 @@
+MODULE asmpar
+   !!======================================================================
+   !!                       ***  MODULE asmpar  ***
+   !! Assimilation increment : Parameters for assimilation interface
+   !!======================================================================
+
+   IMPLICIT NONE
+
+   !! * Routine accessibility
+   PRIVATE
+
+   !! * Shared Modules variables
+   CHARACTER (LEN=40), PUBLIC, PARAMETER :: &
+      & c_asmbkg = 'assim_background_state_Jb',  & !: Filename for storing the 
+                                                   !: background state for use 
+                                                   !: in the Jb term
+      & c_asmdin = 'assim_background_state_DI',  & !: Filename for storing the 
+                                                   !: background state for direct 
+                                                   !: initialization
+      & c_asmtrj = 'assim_trj',                  & !: Filename for storing the 
+                                                   !: reference trajectory
+      & c_asminc = 'assim_background_increments'   !: Filename for storing the 
+                                                   !: increments to the background
+                                                   !: state
+
+   INTEGER, PUBLIC :: nitbkg_r      !: Background time step referenced to nit000
+   INTEGER, PUBLIC :: nitdin_r      !: Direct Initialization time step referenced to nit000
+   INTEGER, PUBLIC :: nitiaustr_r   !: IAU starting time step referenced to nit000
+   INTEGER, PUBLIC :: nitiaufin_r   !: IAU final time step referenced to nit000
+   INTEGER, PUBLIC :: nittrjfrq     !: Frequency of trajectory output for 4D-VAR
+
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id$
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
+END MODULE asmpar
Index: trunk/NEMOGCM/NEMO/OPA_SRC/ASM/asmtrj.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/ASM/asmtrj.F90	(revision 2528)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/ASM/asmtrj.F90	(revision 2528)
@@ -0,0 +1,250 @@
+MODULE asmtrj
+   !!======================================================================
+   !!                       ***  MODULE asmtrj  ***
+   !! Assimilation trajectory interface: Write to file the background state and the model state trajectory
+   !!======================================================================
+   !! History :       ! 2007-03 (M. Martin)  Met. Office version
+   !!                 ! 2007-04 (A. Weaver)  asm_trj_wri, original code
+   !!                 ! 2007-03 (K. Mogensen)  Adapt to NEMOVAR and use IOM instead of IOIPSL
+   !!                 ! 2007-04 (A. Weaver)  Name change (formally asmbkg.F90). Distinguish
+   !!                                        background states in Jb term and at analysis time.
+   !!                                        Include state trajectory routine (currently empty)
+   !!                 ! 2007-07 (A. Weaver)  Add tke_rst and flt_rst for case nitbkg=0 
+   !!                 ! 2009-03 (F. Vigilant)  Add hmlp (zdfmxl) for no tracer nmldp=2 
+   !!                 ! 2009-06 (F. Vigilant) asm_trj_wri: special case when kt=nit000-1
+   !!                 ! 2009-07 (F. Vigilant) asm_trj_wri: add computation of eiv at restart
+   !!----------------------------------------------------------------------
+
+   !!----------------------------------------------------------------------
+   !!   'key_asminc' : Switch on the assimilation increment interface
+   !!----------------------------------------------------------------------
+   !!   asm_bkg_wri  : Write out the background state
+   !!   asm_trj_wri  : Write out the model state trajectory (used with 4D-Var)
+   !!----------------------------------------------------------------------
+   USE oce                ! Dynamics and active tracers defined in memory
+   USE sbc_oce            ! Ocean surface boundary conditions
+   USE zdf_oce            ! Vertical mixing variables
+   USE zdfddm             ! Double diffusion mixing parameterization
+   USE ldftra_oce         ! Lateral tracer mixing coefficient defined in memory
+   USE ldfslp             ! Slopes of neutral surfaces
+   USE tradmp             ! Tracer damping
+#if defined key_zdftke
+   USE zdftke             ! TKE vertical physics
+#endif
+   USE eosbn2             ! Equation of state (eos_bn2 routine)
+   USE zdfmxl             ! Mixed layer depth
+   USE dom_oce, ONLY :   ndastp
+   USE sol_oce, ONLY :   gcx   ! Solver variables defined in memory
+   USE in_out_manager     ! I/O manager
+   USE iom                ! I/O module
+   USE asmpar             ! Parameters for the assmilation interface
+   USE zdfmxl             ! mixed layer depth
+#if defined key_traldf_c2d
+   USE ldfeiv             ! eddy induced velocity coef.      (ldf_eiv routine)
+#endif
+
+   IMPLICIT NONE
+   PRIVATE
+   
+   PUBLIC   asm_bkg_wri   !: Write out the background state
+   PUBLIC   asm_trj_wri   !: Write out the background state
+
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id$
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+CONTAINS
+
+   SUBROUTINE asm_bkg_wri( kt )
+      !!-----------------------------------------------------------------------
+      !!                  ***  ROUTINE asm_bkg_wri ***
+      !!
+      !! ** Purpose : Write to file the background state for later use in the
+      !!              inner loop of data assimilation or for direct initialization
+      !!              in the outer loop.
+      !!
+      !! ** Method  : Write out the background state for use in the Jb term
+      !!              in the cost function and for use with direct initialization
+      !!              at analysis time.
+      !!-----------------------------------------------------------------------
+      INTEGER, INTENT( IN ) :: kt               ! Current time-step
+      !
+      CHARACTER (LEN=50) :: cl_asmbkg
+      CHARACTER (LEN=50) :: cl_asmdin
+      LOGICAL :: llok          ! Check if file exists
+      INTEGER :: inum          ! File unit number
+      REAL(wp) :: zdate        ! Date
+      !!-----------------------------------------------------------------------
+
+      !                                !-------------------------------------------
+      IF( kt == nitbkg_r ) THEN        ! Write out background at time step nitbkg_r
+         !                             !-----------------------------------========
+         !
+         WRITE(cl_asmbkg, FMT='(A,".nc")' ) TRIM( c_asmbkg )
+         cl_asmbkg = TRIM( cl_asmbkg )
+         INQUIRE( FILE = cl_asmbkg, EXIST = llok )
+         !
+         IF( .NOT. llok ) THEN
+            IF(lwp) WRITE(numout,*) ' Setting up assimilation background file '// TRIM( c_asmbkg )
+            !
+            !                                      ! Define the output file        
+            CALL iom_open( c_asmbkg, inum, ldwrt = .TRUE., kiolib = jprstlib)
+            !
+            IF( nitbkg_r == nit000 - 1 ) THEN      ! Treat special case when nitbkg = 0
+               zdate = REAL( ndastp )
+#if defined key_zdftke
+               ! lk_zdftke=T :   Read turbulent kinetic energy ( en )
+               IF(lwp) WRITE(numout,*) ' Reading TKE (en) from restart...'
+               CALL tke_rst( nit000, 'READ' )               ! lk_zdftke=T :   Read turbulent kinetic energy ( en )
+
+#endif
+            ELSE
+               zdate = REAL( ndastp )
+            ENDIF
+            !
+            !                                      ! Write the information
+            CALL iom_rstput( kt, nitbkg_r, inum, 'rdastp' , zdate   )
+            CALL iom_rstput( kt, nitbkg_r, inum, 'un'     , un      )
+            CALL iom_rstput( kt, nitbkg_r, inum, 'vn'     , vn      )
+            CALL iom_rstput( kt, nitbkg_r, inum, 'tn'     , tn      )
+            CALL iom_rstput( kt, nitbkg_r, inum, 'sn'     , sn      )
+            CALL iom_rstput( kt, nitbkg_r, inum, 'sshn'   , sshn    )
+#if defined key_zdftke
+            CALL iom_rstput( kt, nitbkg_r, inum, 'en'     , en      )
+#endif
+            CALL iom_rstput( kt, nitbkg_r, inum, 'gcx'    , gcx     )
+            !
+            CALL iom_close( inum )
+         ENDIF
+         !
+      ENDIF
+
+      !                                !-------------------------------------------
+      IF( kt == nitdin_r ) THEN        ! Write out background at time step nitdin_r
+         !                             !-----------------------------------========
+         !
+         WRITE(cl_asmdin, FMT='(A,".nc")' ) TRIM( c_asmdin )
+         cl_asmdin = TRIM( cl_asmdin )
+         INQUIRE( FILE = cl_asmdin, EXIST = llok )
+         !
+         IF( .NOT. llok ) THEN
+            IF(lwp) WRITE(numout,*) ' Setting up assimilation background file '// TRIM( c_asmdin )
+            !
+            !                                      ! Define the output file        
+            CALL iom_open( c_asmdin, inum, ldwrt = .TRUE., kiolib = jprstlib)
+            !
+            IF( nitdin_r == nit000 - 1 ) THEN      ! Treat special case when nitbkg = 0
+
+               zdate = REAL( ndastp )
+            ELSE
+               zdate = REAL( ndastp )
+            ENDIF
+            !
+            !                                      ! Write the information
+            CALL iom_rstput( kt, nitdin_r, inum, 'rdastp' , zdate   )
+            CALL iom_rstput( kt, nitdin_r, inum, 'un'     , un      )
+            CALL iom_rstput( kt, nitdin_r, inum, 'vn'     , vn      )
+            CALL iom_rstput( kt, nitdin_r, inum, 'tn'     , tn      )
+            CALL iom_rstput( kt, nitdin_r, inum, 'sn'     , sn      )
+            CALL iom_rstput( kt, nitdin_r, inum, 'sshn'   , sshn    )
+            !
+            CALL iom_close( inum )
+         ENDIF
+         !
+      ENDIF
+      !                    
+   END SUBROUTINE asm_bkg_wri
+
+
+   SUBROUTINE asm_trj_wri( kt )
+      !!-----------------------------------------------------------------------
+      !!                  ***  ROUTINE asm_trj_wri ***
+      !!
+      !! ** Purpose :   Write to file the model state trajectory for use with 4D-Var.
+      !!-----------------------------------------------------------------------
+      INTEGER, INTENT( IN ) :: kt             ! Current time-step
+      !
+      INTEGER :: inum                  ! File unit number
+      INTEGER :: it
+      CHARACTER (LEN=50) :: cl_asmtrj
+      REAL(wp) :: zdate            ! Date
+      !!-----------------------------------------------------------------------
+
+      !------------------------------------------------------------------------
+      ! Write a single file for each trajectory time step
+      !------------------------------------------------------------------------
+      IF( ( MOD( kt - nit000 + 1, nittrjfrq ) == 0 ) .OR. ( kt == nitend ) ) THEN
+         
+         IF( kt == nit000 - 1 ) THEN         ! Treat special case when kt = nit000-1
+            !
+#if defined key_zdftke
+            IF(lwp) WRITE(numout,*) ' Computing  zdf_tke coeff. form restart...'
+            ! Compute the vertical eddy viscosity and diffusivity coefficients
+            CALL zdf_tke( nit000 )
+#endif
+#if defined key_zdfddm
+            IF(lwp) WRITE(numout,*) ' Computing zdf_ddm coeff. from restart...'
+            ! Compute the vertical eddy viscosity and diffusivity coefficients (salt effect)
+            CALL zdf_ddm( nit000 )
+#endif
+            IF(lwp) WRITE(numout,*) ' Computing zdf_mxl coeff. from restart...'
+            ! Compute the turbocline depth and the mixed layer depth
+            CALL zdf_mxl( nit000 ) 
+#if defined key_ldfslp
+            IF(lwp) WRITE(numout,*) ' Compute the slopes of neutral surface...'
+            CALL bn2( tsb, rn2 ) 
+            CALL ldf_slp( nit000, rhd, rn2 )
+#endif
+#if defined key_traldf_c2d
+            IF(lwp) WRITE(numout,*) ' Computing ldf_eiv coeff. from restart...'
+            ! Compute eddy induced velocity coefficient
+            IF( lk_traldf_eiv )   CALL ldf_eiv( nit000 )
+#endif
+         ENDIF
+         !
+         it = kt - nit000 + 1
+         !
+         !                                   ! Define the output file        
+         WRITE(cl_asmtrj, FMT='(A,A,I5.5)' ) TRIM( c_asmtrj ), '_', it
+         cl_asmtrj = TRIM( cl_asmtrj )
+         CALL iom_open( cl_asmtrj, inum, ldwrt = .TRUE., kiolib = jprstlib)
+         !
+         !                                   ! Output trajectory fields
+         CALL iom_rstput( it, it, inum, 'emp'   , emp    )
+         CALL iom_rstput( it, it, inum, 'emps'  , emps   )
+         CALL iom_rstput( it, it, inum, 'un'    , un     )
+         CALL iom_rstput( it, it, inum, 'vn'    , vn     )
+         CALL iom_rstput( it, it, inum, 'tn'    , tn     )
+         CALL iom_rstput( it, it, inum, 'sn'    , sn     )
+         CALL iom_rstput( it, it, inum, 'avmu'  , avmu   )
+         CALL iom_rstput( it, it, inum, 'avmv'  , avmv   )
+         CALL iom_rstput( it, it, inum, 'avt'   , avt    )
+#if defined key_ldfslp
+         CALL iom_rstput( it, it, inum, 'uslp'  , uslp   )
+         CALL iom_rstput( it, it, inum, 'vslp'  , vslp   )
+         CALL iom_rstput( it, it, inum, 'wslpi' , wslpi  )
+         CALL iom_rstput( it, it, inum, 'wslpj' , wslpj  )
+#endif
+#if defined key_zdfddm
+         CALL iom_rstput( it, it, inum, 'avs'   , avs    )
+#endif
+         CALL iom_rstput( it, it, inum, 'ta'    , ta     )
+         CALL iom_rstput( it, it, inum, 'sa'    , sa     )
+         CALL iom_rstput( it, it, inum, 'tb'    , tb     )
+         CALL iom_rstput( it, it, inum, 'sb'    , sb     )
+#if defined key_tradmp
+         CALL iom_rstput( it, it, inum, 'strdmp', strdmp )
+         CALL iom_rstput( it, it, inum, 'hmlp'  , hmlp   )
+#endif
+         CALL iom_rstput( it, it, inum, 'aeiu'  , aeiu   )
+         CALL iom_rstput( it, it, inum, 'aeiv'  , aeiv   )
+         CALL iom_rstput( it, it, inum, 'aeiw'  , aeiw   )
+         !
+         CALL iom_close( inum )
+      ENDIF
+      !
+   END SUBROUTINE asm_trj_wri
+
+   !!======================================================================
+END MODULE asmtrj
Index: trunk/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 2528)
@@ -6,4 +6,5 @@
    !! History :  1.0  !  2001-05  (J. Chanut, A. Sellar)  Original code
    !!            3.0  !  2008-04  (NEMO team)  add in the reference version     
+   !!            3.3  !  2010-09  (D. Storkey) add ice boundary conditions
    !!----------------------------------------------------------------------
 #if defined key_bdy 
@@ -20,26 +21,26 @@
    !! Namelist variables
    !!----------------------------------------------------------------------
-   CHARACTER(len=80) ::   filbdy_mask        !: Name of unstruct. bdy mask file
-   CHARACTER(len=80) ::   filbdy_data_T      !: Name of unstruct. bdy data file at T points
-   CHARACTER(len=80) ::   filbdy_data_U      !: Name of unstruct. bdy data file at U points
-   CHARACTER(len=80) ::   filbdy_data_V      !: Name of unstruct. bdy data file at V points
-   CHARACTER(len=80) ::   filbdy_data_bt_T   !: Name of unstruct. bdy data file at T points for barotropic variables
-   CHARACTER(len=80) ::   filbdy_data_bt_U   !: Name of unstruct. bdy data file at U points for barotropic variables
-   CHARACTER(len=80) ::   filbdy_data_bt_V   !: Name of unstruct. bdy data file at V points for barotropic variables
+   CHARACTER(len=80) ::   cn_mask        !: Name of unstruct. bdy mask file
+   CHARACTER(len=80) ::   cn_dta_frs_T   !: Name of unstruct. bdy data file at T points for FRS conditions
+   CHARACTER(len=80) ::   cn_dta_frs_U   !: Name of unstruct. bdy data file at U points for FRS conditions
+   CHARACTER(len=80) ::   cn_dta_frs_V   !: Name of unstruct. bdy data file at V points for FRS conditions
+   CHARACTER(len=80) ::   cn_dta_fla_T   !: Name of unstruct. bdy data file at T points for Flather scheme
+   CHARACTER(len=80) ::   cn_dta_fla_U   !: Name of unstruct. bdy data file at U points for Flather scheme
+   CHARACTER(len=80) ::   cn_dta_fla_V   !: Name of unstruct. bdy data file at V points for Flather scheme
    !
-   LOGICAL ::   ln_bdy_tides = .false.  !: =T apply tidal harmonic forcing along open boundaries
-   LOGICAL ::   ln_bdy_vol  = .false.   !: =T volume correction             
-   LOGICAL ::   ln_bdy_mask = .false.   !: =T read bdymask from file
-   LOGICAL ::   ln_bdy_clim = .false.   !: if true, we assume that bdy data files contain 
+   LOGICAL ::   ln_tides = .false.    !: =T apply tidal harmonic forcing along open boundaries
+   LOGICAL ::   ln_vol  = .false.     !: =T volume correction             
+   LOGICAL ::   ln_mask = .false.     !: =T read bdymask from file
+   LOGICAL ::   ln_clim = .false.     !: if true, we assume that bdy data files contain 
    !                                    !  1 time dump  (-->bdy forcing will be constant) 
    !                                    !  or 12 months (-->bdy forcing will be cyclic) 
-   LOGICAL ::   ln_bdy_dyn_fla  = .false. !: =T Flather boundary conditions on barotropic velocities
-   LOGICAL ::   ln_bdy_dyn_frs  = .false. !: =T FRS boundary conditions on velocities
-   LOGICAL ::   ln_bdy_tra_frs  = .false. !: =T FRS boundary conditions on tracers (T and S)
-   LOGICAL ::   ln_bdy_ice_frs  = .false. !: =T FRS boundary conditions on seaice (leads fraction, ice depth, snow depth)
+   LOGICAL ::   ln_dyn_fla  = .false. !: =T Flather boundary conditions on barotropic velocities
+   LOGICAL ::   ln_dyn_frs  = .false. !: =T FRS boundary conditions on velocities
+   LOGICAL ::   ln_tra_frs  = .false. !: =T FRS boundary conditions on tracers (T and S)
+   LOGICAL ::   ln_ice_frs  = .false. !: =T FRS boundary conditions on seaice (leads fraction, ice depth, snow depth)
    !
-   INTEGER ::   nb_rimwidth = 7         !: boundary rim width
-   INTEGER ::   nbdy_dta    = 1	        !: = 0 use the initial state as bdy dta or = 1 read it in a NetCDF file
-   INTEGER ::   volbdy      = 1         !: = 0 the total volume will have the variability of the surface Flux E-P 
+   INTEGER ::   nn_rimwidth = 7         !: boundary rim width
+   INTEGER ::   nn_dtactl   = 1	        !: = 0 use the initial state as bdy dta or = 1 read it in a NetCDF file
+   INTEGER ::   nn_volctl   = 1         !: = 0 the total volume will have the variability of the surface Flux E-P 
    !                                    !  = 1 the volume will be constant during all the integration.
 
@@ -54,7 +55,7 @@
    !! Unstructured open boundary data variables
    !!----------------------------------------------------------------------
-   INTEGER, DIMENSION(jpbgrd) ::   nblen                  !: Size of bdy data on a proc for each grid type
-   INTEGER, DIMENSION(jpbgrd) ::   nblenrim               !: Size of bdy data on a proc for first rim ind
-   INTEGER, DIMENSION(jpbgrd) ::   nblendta               !: Size of bdy data in file
+   INTEGER, DIMENSION(jpbgrd) ::   nblen    = 0           !: Size of bdy data on a proc for each grid type
+   INTEGER, DIMENSION(jpbgrd) ::   nblenrim = 0           !: Size of bdy data on a proc for first rim ind
+   INTEGER, DIMENSION(jpbgrd) ::   nblendta = 0           !: Size of bdy data in file
 
    INTEGER, DIMENSION(jpbdim,jpbgrd) ::   nbi, nbj        !: i and j indices of bdy dta
@@ -73,4 +74,9 @@
    REAL(wp), DIMENSION(jpbdim) ::   sshtide               !: Tidal boundary array : SSH
    REAL(wp), DIMENSION(jpbdim) ::   utide, vtide          !: Tidal boundary array : U and V
+#if defined key_lim2
+   REAL(wp), DIMENSION(jpbdim) ::  &
+      frld_bdy, hicif_bdy,  & !: Now clim of ice leads fraction, ice  
+      hsnif_bdy               !: thickness and snow thickness
+#endif
 
 #else
@@ -78,11 +84,11 @@
    !!   Dummy module                NO Unstructured Open Boundary Condition
    !!----------------------------------------------------------------------
-   LOGICAL ::   ln_bdy_tides = .false.  !: =T apply tidal harmonic forcing along open boundaries
+   LOGICAL ::   ln_tides = .false.  !: =T apply tidal harmonic forcing along open boundaries
 #endif
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.0 , LOCEAN-IPSL (2008) 
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
 END MODULE bdy_oce
Index: trunk/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_par.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_par.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_par.F90	(revision 2528)
@@ -6,6 +6,7 @@
    !! History :  1.0  !  2005-01  (J. Chanut, A. Sellar)  Original code
    !!            3.0  !  2008-04  (NEMO team)  add in the reference version
+   !!            3.3  !  2010-09  (D. Storkey and E. O'Dea) update for Shelf configurations
    !!----------------------------------------------------------------------
-#if defined key_bdy
+#if defined   key_bdy
    !!----------------------------------------------------------------------
    !!   'key_bdy' :                    Unstructured Open Boundary Condition
@@ -15,10 +16,9 @@
    PUBLIC
 
-
-   LOGICAL, PUBLIC, PARAMETER ::   lk_bdy  = .TRUE.  !: Unstructured Ocean Boundary Condition flag
-   INTEGER, PUBLIC, PARAMETER ::   jpbdta  = 5000    !: Max length of bdy field in file
-   INTEGER, PUBLIC, PARAMETER ::   jpbdim  = 5000    !: Max length of bdy field on a processor
-   INTEGER, PUBLIC, PARAMETER ::   jpbtime = 1000    !: Max number of time dumps per file
-   INTEGER, PUBLIC, PARAMETER ::   jpbgrd  = 3	     !: Number of horizontal grid types used  (T, u, v, f)
+   LOGICAL, PUBLIC, PARAMETER ::   lk_bdy  = .TRUE.   !: Unstructured Ocean Boundary Condition flag
+   INTEGER, PUBLIC, PARAMETER ::   jpbdta  = 20000    !: Max length of bdy field in file
+   INTEGER, PUBLIC, PARAMETER ::   jpbdim  = 20000    !: Max length of bdy field on a processor
+   INTEGER, PUBLIC, PARAMETER ::   jpbtime = 1000     !: Max number of time dumps per file
+   INTEGER, PUBLIC, PARAMETER ::   jpbgrd  = 6	      !: Number of horizontal grid types used  (T, u, v, f)
 #else
    !!----------------------------------------------------------------------
@@ -29,7 +29,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.0 , LOCEAN-IPSL (2008) 
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
 END MODULE bdy_par
